/**
 * @file          Campaign Types Form
 * @author        Zan Sen (zansen.tai@3ds.com)
 */
import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ListSOP } from '../../libappsop/listsop';
import { ListCampaignTypeColumn } from './form.campaigntypes';
import { DialogCampaignType } from '../dialogs/dialog.campaigntype';

export class FormCampaignTypesReadOnly extends Form {
  // Read only form has campaign types only
  public listCampaignType = new ListCampaignTypeReadOnly();
  public constructor() {
    super('FormCampaignTypesOnly');
  }
}

// No dialog associated, this is a read-only form
export class ListCampaignTypeReadOnly extends ListSOP<DialogCampaignType, ListCampaignTypeColumn> {
  public readonly name = 'Campaign Types';

  public constructor() {
    super('ListCampaignType', new DialogCampaignType());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = { Name: '' };
    this.rowAllConstraintsColumnName = { 'All constraints': '' };
  }
}
